cdac.medinfo.sdk.hl7282.baselibs.segments

## Class RXE

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.RXE

- All Implemented Interfaces:
    ISegment

      public class RXE
      extends Segment

  RXE - Pharmacy/Treatment Encoded Order Segment.

  The RXE segment details the pharmacy or treatment application's encoding of the order.

  Represents an HL7 RXE message segment. This segment has the following fields:

  RXE-1: Quantity/Timing (TQ)Withdrawn
  RXE-2: Give Code (CWE)Required
  RXE-3: Give Amount - Minimum (NM)Required
  RXE-4: Give Amount - Maximum (NM)Optional
  RXE-5: Give Units (CWE)Required
  RXE-6: Give Dosage Form (CWE)Optional
  RXE-7: Provider's Administration Instructions (CWE)Optional
  RXE-8: Deliver-To Location (LA1)Withdrawn
  RXE-9: Substitution Status (ID)Optional
  RXE-10: Dispense Amount (NM)Conditional
  RXE-11: Dispense Units (CWE)Conditional
  RXE-12: Number Of Refills (NM)Optional
  RXE-13: Ordering Provider's DEA Number (XCN)Backward
  RXE-14: Pharmacist/Treatment Supplier's Verifier ID (XCN)Backward
  RXE-15: Prescription Number (ST)Conditional
  RXE-16: Number of Refills Remaining (NM)Conditional
  RXE-17: Number of Refills/Doses Dispensed (NM)Conditional
  RXE-18: D/T of Most Recent Refill or Dose Dispensed (DTM)Conditional
  RXE-19: Total Daily Dose (CQ)Conditional
  RXE-20: Needs Human Review (ID)Optional
  RXE-21: Pharmacy/Treatment Supplier's Special Dispensing Instructions (CWE)Optional
  RXE-22: Give Per (Time Unit) (ST)
  RXE-23: Give Rate Amount (ST)Conditional
  RXE-24: Give Rate Units (CWE)Optional
  RXE-25: Give Strength (NM)Optional
  RXE-26: Give Strength Units (CWE)Optional
  RXE-27: Give Indication (CWE)Optional
  RXE-28: Dispense Package Size (NM)Optional
  RXE-29: Dispense Package Size Unit (CWE)Optional
  RXE-30: Dispense Package Method (ID)Optional
  RXE-31: Supplementary Code (CWE)Optional
  RXE-32: Original Order Date/Time (DTM)Optional
  RXE-33: Give Drug Strength Volume (NM)Optional
  RXE-34: Give Drug Strength Volume Units (CWE)Optional
  RXE-35: Controlled Substance Schedule (CWE)Optional
  RXE-36: Formulary Status (ID)Optional
  RXE-37: Pharmaceutical Substance Alternative (CWE)Optional
  RXE-38: Pharmacy of Most Recent Fill (CWE)Optional
  RXE-39: Initial Dispense Amount (NM)Optional
  RXE-40: Dispensing Pharmacy (CWE)Backward
  RXE-41: Dispensing Pharmacy Address (XAD)Backward
  RXE-42: Deliver-to Patient Location (PL)Optional
  RXE-43: Deliver-to Address (XAD)Optional
  RXE-44: Pharmacy Order Type (ID)Optional
  RXE-45: Pharmacy Phone Number (XTN)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RXE()` Constructs the RXE segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGiveIndication(CWE objgiveIndication)` Add the Give Indication.
    `void` | `addGiveIndication(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Give Indication.
    `void` | `addOrderingProviderDEANumber(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Ordering Provider DEA Number.
    `void` | `addOrderingProviderDEANumber(XCN objorderingProviderDEANumber)` Add the Ordering Provider DEA Number.
    `void` | `addPharmaceuticalSubstanceAlternative(CWE objpharmaceuticalSubstanceAlternative)` Add the Pharmaceutical Substance Alternative.
    `void` | `addPharmaceuticalSubstanceAlternative(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Pharmaceutical Substance Alternative.
    `void` | `addPharmacistTreatSupplierVerifierID(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Pharmacist Treat Supplier Verifier ID.
    `void` | `addPharmacistTreatSupplierVerifierID(XCN objpharmacistTreatSupplierVerifierID)` Add the Pharmacist Treat Supplier Verifier ID.
    `void` | `addPharmacyPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Pharmacy Phone Number.
    `void` | `addPharmacyPhoneNumber(XTN objtempPharmacyPhoneNumber)` Sets the Pharmacy Phone Number.
    `void` | `addProviderAdministrationInstructions(CWE objproviderAdministrationInstructions)` Add the Provider Administration Instructions.
    `void` | `addProviderAdministrationInstructions(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Provider Administration Instructions.
    `void` | `addSpecialDispensingInstructions(CWE objSpecialDispensingInstructions)` Add the Special Dispensing Instructions.
    `void` | `addSpecialDispensingInstructions(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Special Dispensing Instructions.
    `void` | `addSupplementaryCode(CWE objsupplementaryCode)` Add the Supplementary Code.
    `void` | `addSupplementaryCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Supplementary Code.
    `CWE` | `getControlledSubstanceSchedule()` Retrieves the Controlled Substance Schedule.
    `XAD` | `getDeliver_toAddress()` Retrieves the Deliver to Address.
    `PL` | `getDeliver_toPatientLocation()` Retrieves the Deliver to Patient Location.
    `NM` | `getDispenseAmount()` Retrieves the Dispense Amount This field specify the amount to be dispensed as encoded by the pharmacy or treatment supplier.
    `ID` | `getDispensePackageMethod()` Retrieves the Dispense Package Method.
    `NM` | `getDispensePackageSize()` Retrieves the Dispense Package Size.
    `CWE` | `getDispensePackageSizeUnit()` Retrieves the Dispense Package Size Unit.
    `CWE` | `getDispenseUnits()` Retrieves the Dispense Units.
    `CWE` | `getDispensingPharmacy()` Retrieves the Dispensing Pharmacy.
    `XAD` | `getDispensingPharmacyAddress()` Retrieves the Dispensing Pharmacy Address.
    `DTM` | `getDTofMostRecentRefillorDoseDispensed()` Retrieves the Date/time of the most recent refill or dose dispensed.
    `ID` | `getFormularyStatus()` Retrieves the Formulary Status.
    `NM` | `getGiveAmount_Maximum()` Retrieves the Give Amount Maximum.
    `NM` | `getGiveAmount_Minimum()` Retrieves the Give Amount Minimum.
    `CWE` | `getGiveCode()` Retrieves the Give Code.
    `CWE` | `getGiveDosageForm()` Retrieves the Give Dosage Form.
    `NM` | `getGiveDrugStrengthVolume()` Retrieves the Give Drug Strength Volume.
    `CWE` | `getGiveDrugStrengthVolumeUnits()` Retrieves the Give Drug Strength Volume Units.
    `ISingleCollection<CWE>` | `getGiveIndication()` Retrieves the Give Indication.
    `ST` | `getGivePerTimeUnit()` Retrieves the Give Per Time Unit.
    `ST` | `getGiveRateAmount()` Retrieves the Give Rate Amount.
    `CWE` | `getGiveRateUnits()` Retrieves the Give Rate Units.
    `NM` | `getGiveStrength()` Retrieves the Give Strength.
    `CWE` | `getGiveStrengthUnits()` Retrieves the Give Strength Units.
    `CWE` | `getGiveUnits()` Retrieves the Give Units.
    `NM` | `getInitialDispenseAmount()` Retrieves the Initial Dispense Amount.
    `ID` | `getNeedsHumanReview()` Retrieves the Needs Human Review.
    `NM` | `getNumberofRefills()` Retrieves the Number of Refills.
    `NM` | `getNumberofRefillsDosesDispensed()` Retrieves the Number of Refills Doses Dispensed.
    `NM` | `getNumberofRefillsRemaining()` Retrieves the Number of refills remaining.
    `ISingleCollection<XCN>` | `getOrderingProviderDEANumber()` Retrieves the Ordering Provider DEA Number.
    `DTM` | `getOriginalOrderDateTime()` Retrieves the Original Order Date Time.
    `ISingleCollection<CWE>` | `getPharmaceuticalSubstanceAlternative()` Retrieves the Pharmaceutical Substance Alternative.
    `ISingleCollection<XCN>` | `getPharmacistTreatSupplierVerifierID()` Retrieves the Pharmacist Treat Supplier Verifier ID.
    `CWE` | `getPharmacyofMostRecentFill()` Retrieves the Pharmacy of Most Recent Fill.
    `ID` | `getPharmacyOrderType()` Retrieves the Pharmacy Order Type.
    `ISingleCollection<XTN>` | `getPharmacyPhoneNumber()` Retrieves the Pharmacy Phone Number.
    `ST` | `getPrescriptionNumber()` Retrieves the Prescription Number.
    `ISingleCollection<CWE>` | `getProviderAdministrationInstructions()` Retrieves the Provider Administration Instructions.
    `ISingleCollection<CWE>` | `getSpecialDispensingInstructions()` Retrieves the Special Dispensing Instructions.
    `ID` | `getSubstitutionStatus()` Retrieves the Substitution Status.
    `ISingleCollection<CWE>` | `getSupplementaryCode()` Retrieves the Supplementary Code.
    `CQ` | `getTotalDailyDose()` Retrieves the Total Daily Dose.
    `void` | `setControlledSubstanceSchedule(CWE objcontrolledSubstanceSchedule)` Set the Controlled Substance Schedule.
    `void` | `setControlledSubstanceSchedule(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Controlled Substance Schedule.
    `void` | `setDeliver_toAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Deliver to Address.
    `void` | `setDeliver_toAddress(XAD objdeliver_toAddress)` Set the Deliver to Address.
    `void` | `setDeliver_toPatientLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, java.lang.String strBuilding, java.lang.String strFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Deliver to Patient Location.
    `void` | `setDeliver_toPatientLocation(PL objdeliver_toPatientLocation)` Set the Deliver to Patient Location.
    `void` | `setDispenseAmount(NM objdispenseAmount)` Set the Dispense Amount This field specify the amount to be dispensed as encoded by the pharmacy or treatment supplier.
    `void` | `setDispenseAmount(java.lang.String strDispenseAmount)` Set the Dispense Amount This field specify the amount to be dispensed as encoded by the pharmacy or treatment supplier.
    `void` | `setDispensePackageMethod(ID objdispensePackageMethod)` Set the Dispense Package Method.
    `void` | `setDispensePackageMethod(java.lang.String strDispensePackageMethod)` Set the Dispense Package Method.
    `void` | `setDispensePackageSize(NM objdispensePackageSize)` Set the Dispense Package Size.
    `void` | `setDispensePackageSize(java.lang.String strDispensePackageSize)` Set the Dispense Package Size.
    `void` | `setDispensePackageSizeUnit(CWE objdispensePackageSizeUnit)` Set the Dispense Package Size Unit.
    `void` | `setDispensePackageSizeUnit(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Dispense Package Size Unit.
    `void` | `setDispenseUnits(CWE objdispenseUnits)` Set the Dispense Units.
    `void` | `setDispenseUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Dispense Units.
    `void` | `setDispensingPharmacy(CWE objdispensingPharmacy)` Set the Dispensing Pharmacy.
    `void` | `setDispensingPharmacy(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Dispensing Pharmacy.
    `void` | `setDispensingPharmacyAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Dispensing Pharmacy Address.
    `void` | `setDispensingPharmacyAddress(XAD objdispensingPharmacyAddress)` Set the Dispensing Pharmacy Address.
    `void` | `setDTofMostRecentRefillorDoseDispensed(DTM objdTofMostRecentRefillorDoseDispensed)` Set the Date/time of the most recent refill or dose dispensed.
    `void` | `setDTofMostRecentRefillorDoseDispensed(java.lang.String strTime)` Set the Date/time of the most recent refill or dose dispensed.
    `void` | `setFormularyStatus(ID objformularyStatus)` Set the Formulary Status.
    `void` | `setFormularyStatus(java.lang.String strFormularyStatus)` Set the Formulary Status.
    `void` | `setGiveAmount_Maximum(NM objgiveAmount_Maximum)` Set the Give Amount Maximum.
    `void` | `setGiveAmount_Maximum(java.lang.String strGiveAmount_Maximum)` Set the Give Amount Maximum.
    `void` | `setGiveAmount_Minimum(NM objgiveAmount_Minimum)` Set the Give Amount Minimum.
    `void` | `setGiveAmount_Minimum(java.lang.String strGiveAmount_Minimum)` Set the Give Amount Minimum.
    `void` | `setGiveCode(CWE objgiveCode)` Set the Give Code.
    `void` | `setGiveCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Code.
    `void` | `setGiveDosageForm(CWE objgiveDosageForm)` Set the Give Dosage.
    `void` | `setGiveDosageForm(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Dosage.
    `void` | `setGiveDrugStrengthVolume(NM objgiveDrugStrengthVolume)` Set the Give Drug Strength Volume.
    `void` | `setGiveDrugStrengthVolume(java.lang.String strGiveDrugStrengthVolume)` Set the Give Drug Strength Volume.
    `void` | `setGiveDrugStrengthVolumeUnits(CWE objgiveDrugStrengthVolumeUnits)` Set the Give Drug Strength Volume Units.
    `void` | `setGiveDrugStrengthVolumeUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Drug Strength Volume Units.
    `void` | `setGiveIndication(ISingleCollection<CWE> objgiveIndicationList)` Set the Give Indication.
    `void` | `setGivePerTimeUnit(ST objgivePerTimeUnit)` Set the Give Per Time Unit.
    `void` | `setGivePerTimeUnit(java.lang.String strGivePerTimeUnit)` Set the Give Per Time Unit.
    `void` | `setGiveRateAmount(ST objgiveRateAmount)` Set the Give Rate Amount.
    `void` | `setGiveRateAmount(java.lang.String strGiveRateAmount)` Set the Give Rate Amount.
    `void` | `setGiveRateUnits(CWE objgiveRateUnits)` Set the Give Rate Units.
    `void` | `setGiveRateUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Rate Units.
    `void` | `setGiveStrength(NM objgiveStrength)` Set the Give Strength.
    `void` | `setGiveStrength(java.lang.String strGiveStrength)` Set the Give Strength.
    `void` | `setGiveStrengthUnits(CWE objgiveStrengthUnits)` Set the Give Strength Units.
    `void` | `setGiveStrengthUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Strength Units.
    `void` | `setGiveUnits(CWE objgiveUnits)` Set the Give Units.
    `void` | `setGiveUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Units.
    `void` | `setInitialDispenseAmount(NM objinitialDispenseAmount)` Set the Initial Dispense Amount.
    `void` | `setInitialDispenseAmount(java.lang.String strInitialDispenseAmount)` Set the Initial Dispense Amount.
    `void` | `setNeedsHumanReview(ID objneedsHumanReview)` Set the Needs Human Review.
    `void` | `setNeedsHumanReview(java.lang.String strNeedsHumanReview)` Set the Needs Human Review.
    `void` | `setNumberofRefills(NM objnumberofRefills)` Set the Number of Refills.
    `void` | `setNumberofRefills(java.lang.String strNumberofRefills)` Set the Number of Refills.
    `void` | `setNumberofRefillsDosesDispensed(NM objnumberofRefillsDosesDispensed)` Set the Number of Refills Doses Dispensed.
    `void` | `setNumberofRefillsDosesDispensed(java.lang.String strNumberofRefillsDosesDispensed)` Set the Number of Refills Doses Dispensed.
    `void` | `setNumberofRefillsRemaining(NM objnumberofRefillsRemaining)` Sets the Number of refills remaining.
    `void` | `setNumberofRefillsRemaining(java.lang.String strNumberofRefillsRemaining)` Sets the Number of refills remaining.
    `void` | `setOrderingProviderDEANumber(ISingleCollection<XCN> objorderingProviderDEANumberList)` Set the Ordering Provider DEA Number.
    `void` | `setOriginalOrderDateTime(DTM objoriginalOrderDateTime)` Set the Original Order Date Time.
    `void` | `setOriginalOrderDateTime(java.lang.String strTime)` Set the Original Order Date Time.
    `void` | `setPharmaceuticalSubstanceAlternative(ISingleCollection<CWE> objpharmaceuticalSubstanceAlternativeList)` Set the Pharmaceutical Substance Alternative.
    `void` | `setPharmacistTreatSupplierVerifierID(ISingleCollection<XCN> objpharmacistTreatSupplierVerifierIDList)` Set the Pharmacist Treat Supplier Verifier ID.
    `void` | `setPharmacyofMostRecentFill(CWE objpharmacyofMostRecentFill)` Set the Pharmacy of Most Recent Fill.
    `void` | `setPharmacyofMostRecentFill(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Pharmacy of Most Recent Fill.
    `void` | `setPharmacyOrderType(ID objpharmacyOrderType)` Set the Pharmacy Order Type.
    `void` | `setPharmacyOrderType(java.lang.String strPharmacyOrderType)` Set the Pharmacy Order Type.
    `void` | `setPharmacyPhoneNumber(ISingleCollection<XTN> objPharmacyPhoneNumber)` Set the Pharmacy Phone Number.
    `void` | `setPrescriptionNumber(ST objprescriptionNumber)` Set the Prescription Number.
    `void` | `setPrescriptionNumber(java.lang.String strPrescriptionNumber)` Set the Prescription Number.
    `void` | `setProviderAdministrationInstructions(ISingleCollection<CWE> objproviderAdministrationInstructionsList)` Set the Provider Administration Instructions.
    `void` | `setSpecialDispensingInstructions(ISingleCollection<CWE> objSpecialDispensingInstructions)` Set the Special Dispensing Instructions.
    `void` | `setSubstitutionStatus(ID objsubstitutionStatus)` Sets the Substitution Status.
    `void` | `setSubstitutionStatus(java.lang.String strSubstitutionStatus)` Sets the Substitution Status.
    `void` | `setSupplementaryCode(ISingleCollection<CWE> objsupplementaryCodeList)` Set the Supplementary Code.
    `void` | `setTotalDailyDose(CQ objtotalDailyDose)` Set the Total Daily Dose.
    `void` | `setTotalDailyDose(java.lang.String strQuantity, CWE objUnits)` Set the Total Daily Dose.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RXE

          public RXE()

      Constructs the RXE segment.

  - ### Method Detail

    - #### getControlledSubstanceSchedule

          public CWE getControlledSubstanceSchedule()

      Retrieves the Controlled Substance Schedule. This field specify the class of the drug or other substance if its usage is controlled by legislation.
      Returns:
        CWE - controlledSubstanceSchedule

    - #### getDeliver_toAddress

          public XAD getDeliver_toAddress()

      Retrieves the Deliver to Address. This field specify the address, either mailing or physical, to which the prescription should be mailed or delivered.
      Returns:
        XAD - deliver_toAddress

    - #### getDeliver_toPatientLocation

          public PL getDeliver_toPatientLocation()

      Retrieves the Deliver to Patient Location. This field specify the location of the patient to whom the pharmaceutical substance is to be delivered.
      Returns:
        PL - deliver_toPatientLocation

    - #### getDispenseAmount

          public NM getDispenseAmount()

      Retrieves the Dispense Amount This field specify the amount to be dispensed as encoded by the pharmacy or treatment supplier.
      Returns:
        NM - dispenseAmount

    - #### getDispensePackageMethod

          public ID getDispensePackageMethod()

      Retrieves the Dispense Package Method.
      Returns:
        ID - dispensePackageMethod

    - #### getDispensePackageSize

          public NM getDispensePackageSize()

      Retrieves the Dispense Package Size.
      Returns:
        NM - dispensePackageSize

    - #### getDispensePackageSizeUnit

          public CWE getDispensePackageSizeUnit()

      Retrieves the Dispense Package Size Unit.
      Returns:
        CWE - dispensePackageSizeUnit

    - #### getDispenseUnits

          public CWE getDispenseUnits()

      Retrieves the Dispense Units.
      Returns:
        CWE - dispenseUnits

    - #### getDispensingPharmacy

          public CWE getDispensingPharmacy()

      Retrieves the Dispensing Pharmacy.
      Returns:
        CWE - dispensingPharmacy

    - #### getDispensingPharmacyAddress

          public XAD getDispensingPharmacyAddress()

      Retrieves the Dispensing Pharmacy Address.
      Returns:
        XAD - dispensingPharmacyAddress

    - #### getDTofMostRecentRefillorDoseDispensed

          public DTM getDTofMostRecentRefillorDoseDispensed()

      Retrieves the Date/time of the most recent refill or dose dispensed.
      Returns:
        DTM - dTofMostRecentRefillorDoseDispensed

    - #### getFormularyStatus

          public ID getFormularyStatus()

      Retrieves the Formulary Status. This field specify whether the pharmaceutical substance is part of the local formulary or not.
      Returns:
        ID - formularyStatus

    - #### getGiveAmount_Maximum

          public NM getGiveAmount_Maximum()

      Retrieves the Give Amount Maximum.
      Returns:
        NM - giveAmount_Maximum

    - #### getGiveAmount_Minimum

          public NM getGiveAmount_Minimum()

      Retrieves the Give Amount Minimum.
      Returns:
        NM - giveAmount_Minimum

    - #### getGiveCode

          public CWE getGiveCode()

      Retrieves the Give Code.
      Returns:
        CWE - giveCode

    - #### getGiveDosageForm

          public CWE getGiveDosageForm()

      Retrieves the Give Dosage Form.
      Returns:
        CWE - giveDosageForm

    - #### getGiveDrugStrengthVolume

          public NM getGiveDrugStrengthVolume()

      Retrieves the Give Drug Strength Volume. This field specify the drug concentration contained in measure volume.
      Returns:
        NM - giveDrugStrengthVolume

    - #### getGiveDrugStrengthVolumeUnits

          public CWE getGiveDrugStrengthVolumeUnits()

      Retrieves the Give Drug Strength Volume Units.
      Returns:
        CWE - giveDrugStrengthVolumeUnits

    - #### getGiveIndication

          public ISingleCollection<CWE> getGiveIndication()

      Retrieves the Give Indication. This field specify the condition or problem for which the drug/treatment is prescribed.
      Returns:
        ISingleCollection - giveIndication

    - #### getGivePerTimeUnit

          public ST getGivePerTimeUnit()

      Retrieves the Give Per Time Unit. This field specify the time unit to use to calculate the rate at which the pharmaceutical is to be administered.
      Returns:
        ST - givePerTimeUnit

    - #### getGiveRateAmount

          public ST getGiveRateAmount()

      Retrieves the Give Rate Amount.
      Returns:
        ST - giveRateAmount

    - #### getGiveRateUnits

          public CWE getGiveRateUnits()

      Retrieves the Give Rate Units.
      Returns:
        CWE - giveRateUnits

    - #### getGiveStrength

          public NM getGiveStrength()

      Retrieves the Give Strength.
      Returns:
        NM - giveStrength

    - #### getGiveStrengthUnits

          public CWE getGiveStrengthUnits()

      Retrieves the Give Strength Units.
      Returns:
        CWE - giveStrengthUnits

    - #### getGiveUnits

          public CWE getGiveUnits()

      Retrieves the Give Units. This field specify the units for the give amount as encoded by the pharmacy or treatment(e.g., respiratory therapy) application.
      Returns:
        CWE - giveUnits

    - #### getInitialDispenseAmount

          public NM getInitialDispenseAmount()

      Retrieves the Initial Dispense Amount. This field specify the quantity dispensed on the original fill (first fill) of a prescription when that amount is not the same as the quantity to be used in refills.
      Returns:
        NM - initialDispenseAmount

    - #### getNeedsHumanReview

          public ID getNeedsHumanReview()

      Retrieves the Needs Human Review.
      Returns:
        ID - needsHumanReview

    - #### getNumberofRefills

          public NM getNumberofRefills()

      Retrieves the Number of Refills.
      Returns:
        NM - numberofRefills

    - #### getNumberofRefillsDosesDispensed

          public NM getNumberofRefillsDosesDispensed()

      Retrieves the Number of Refills Doses Dispensed.
      Returns:
        NM - numberofRefillsDosesDispensed

    - #### getNumberofRefillsRemaining

          public NM getNumberofRefillsRemaining()

      Retrieves the Number of refills remaining.
      Returns:
        NM - numberofRefillsRemaining

    - #### getOrderingProviderDEANumber

          public ISingleCollection<XCN> getOrderingProviderDEANumber()

      Retrieves the Ordering Provider DEA Number.
      Returns:
        ISingleCollection - orderingProviderDEANumber

    - #### getOriginalOrderDateTime

          public DTM getOriginalOrderDateTime()

      Retrieves the Original Order Date Time.
      Returns:
        DTM - originalOrderDateTime

    - #### getPharmaceuticalSubstanceAlternative

          public ISingleCollection<CWE> getPharmaceuticalSubstanceAlternative()

      Retrieves the Pharmaceutical Substance Alternative.
      Returns:
        ISingleCollection - pharmaceuticalSubstanceAlternative

    - #### getPharmacistTreatSupplierVerifierID

          public ISingleCollection<XCN> getPharmacistTreatSupplierVerifierID()

      Retrieves the Pharmacist Treat Supplier Verifier ID.
      Returns:
        ISingleCollection - pharmacistTreatSupplierVerifierID

    - #### getPharmacyofMostRecentFill

          public CWE getPharmacyofMostRecentFill()

      Retrieves the Pharmacy of Most Recent Fill.
      Returns:
        CWE - pharmacyofMostRecentFill

    - #### getPharmacyOrderType

          public ID getPharmacyOrderType()

      Retrieves the Pharmacy Order Type. This field specify the general category of pharmacy order which may be used to determine the processing path the order will take
      Returns:
        ID - pharmacyOrderType

    - #### getSpecialDispensingInstructions

          public ISingleCollection<CWE> getSpecialDispensingInstructions()

      Retrieves the Special Dispensing Instructions. This field specify the pharmacy or treatment supplier's provider-generated special instructions to the provider dispensing/administering the order.
      Returns:
        ISingleCollection - pharmacyTreatSupplierSpecialDispensingIns

    - #### getPrescriptionNumber

          public ST getPrescriptionNumber()

      Retrieves the Prescription Number. This field specify the prescription number as assigned by the pharmacy or treatment application.
      Returns:
        ST - prescriptionNumber

    - #### getProviderAdministrationInstructions

          public ISingleCollection<CWE> getProviderAdministrationInstructions()

      Retrieves the Provider Administration Instructions. This field specify the ordering provider's instructions to the patient or the provider administering the drug or treatment
      Returns:
        ISingleCollection - providerAdministrationInstructions

    - #### getSubstitutionStatus

          public ID getSubstitutionStatus()

      Retrieves the Substitution Status.
      Returns:
        ID - substitutionStatus

    - #### getSupplementaryCode

          public ISingleCollection<CWE> getSupplementaryCode()

      Retrieves the Supplementary Code. This field specify the identification of any codes that might be associated with the pharmaceutical substance.
      Returns:
        ISingleCollection - supplementaryCode

    - #### getTotalDailyDose

          public CQ getTotalDailyDose()

      Retrieves the Total Daily Dose.
      Returns:
        CQ - totalDailyDose

    - #### getPharmacyPhoneNumber

          public ISingleCollection<XTN> getPharmacyPhoneNumber()

      Retrieves the Pharmacy Phone Number. This field contains the telecommunication contact information for the pharmacy.
      Returns:
        ISingleCollection - Pharmacy Phone Number

    - #### setControlledSubstanceSchedule

          public void setControlledSubstanceSchedule(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Controlled Substance Schedule. This field specify the class of the drug or other substance if its usage is controlled by legislation.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setControlledSubstanceSchedule

          public void setControlledSubstanceSchedule(CWE objcontrolledSubstanceSchedule)

      Set the Controlled Substance Schedule. This field specify the class of the drug or other substance if its usage is controlled by legislation.
      Parameters:
        `objcontrolledSubstanceSchedule` - Object of Controlled Substance Schedule.

    - #### setDeliver_toAddress

          public void setDeliver_toAddress(SAD objStreetAddress,
                                  java.lang.String strOtherDesignation,
                                  java.lang.String strCity,
                                  java.lang.String strStateOrProvince,
                                  java.lang.String strZipOrPostalCode,
                                  java.lang.String strCountry,
                                  java.lang.String strAddressType,
                                  java.lang.String strOtherGeographicDesignation,
                                  CWE objCountyParishCode,
                                  CWE objCensusTract,
                                  java.lang.String strAddressRepresentationCode,
                                  DTM objEffectiveDate,
                                  DTM objExpirationDate,
                                  CWE objEXpirationReason,
                                  java.lang.String strTemporaryIndicator,
                                  java.lang.String strBadAddressIndicator,
                                  java.lang.String strAddressUsage,
                                  java.lang.String strAddressee,
                                  java.lang.String strComment,
                                  java.lang.String strPreferenceOrder,
                                  CWE objProtectionCode,
                                  EI objAddressIdentifier)

      Set the Deliver to Address. This field specify the address, either mailing or physical, to which the prescription should be mailed or delivered.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### setDeliver_toAddress

          public void setDeliver_toAddress(XAD objdeliver_toAddress)

      Set the Deliver to Address. This field specify the address, either mailing or physical, to which the prescription should be mailed or delivered.
      Parameters:
        `objdeliver_toAddress` - Object of Deliver to Address.

    - #### setDeliver_toPatientLocation

          public void setDeliver_toPatientLocation(HD objPointOfCare,
                                          HD objRoom,
                                          HD objBed,
                                          HD objFacility,
                                          java.lang.String strLocationStatus,
                                          java.lang.String strPersonLocationType,
                                          java.lang.String strBuilding,
                                          java.lang.String strFloor,
                                          java.lang.String strLocationDescription,
                                          EI objComprehensiveLocationIdentifier,
                                          HD objAssigningAuthorityForLocation)

      Set the Deliver to Patient Location. This field specify the location of the patient to whom the pharmaceutical substance is to be delivered.
      Parameters:
        `strPointOfCare` - Specifies the code for the point where patient care is administered.
        `strRoom` - Specifies the code for the patient's room.
        `strBed` - Specifies the code for the patient's bed.
        `objFacility` - Specifies to site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.
        `strLocationStatus` - Specifies the code for the status or availability of the location.
        `strPersonLocationType` - Specifies the categorization of the person's location defined by facility, building, floor, point of care, room or bed.
        `strBuilding` - Specifies code for the building where the person is located.
        `strFloor` - Specifies the code for the floor where the person is located.
        `strLocationDescription` - Specifies describes the location in free text.
        `objComprehensiveLocationIdentifier` - Specifies represents the physical location as a whole without regard for the individual components.
        `objAssigningAuthorityForLocation` - Specifies the entity that creates the data for the individual physical location components.

    - #### setDeliver_toPatientLocation

          public void setDeliver_toPatientLocation(PL objdeliver_toPatientLocation)

      Set the Deliver to Patient Location. This field specify the location of the patient to whom the pharmaceutical substance is to be delivered.
      Parameters:
        `objdeliver_toPatientLocation` - Object of Deliver to Patient Location.

    - #### setDispenseAmount

          public void setDispenseAmount(java.lang.String strDispenseAmount)

      Set the Dispense Amount This field specify the amount to be dispensed as encoded by the pharmacy or treatment supplier.
      Parameters:
        `strDispenseAmount` - This field contains the String Value of Dispense Amount

    - #### setDispenseAmount

          public void setDispenseAmount(NM objdispenseAmount)

      Set the Dispense Amount This field specify the amount to be dispensed as encoded by the pharmacy or treatment supplier.
      Parameters:
        `objdispenseAmount` - Object of Dispense Amount

    - #### setDispensePackageMethod

          public void setDispensePackageMethod(java.lang.String strDispensePackageMethod)

      Set the Dispense Package Method.
      Parameters:
        `strDispensePackageMethod` - This field contains the String Value of Dispense Package Method

    - #### setDispensePackageMethod

          public void setDispensePackageMethod(ID objdispensePackageMethod)

      Set the Dispense Package Method.
      Parameters:
        `objdispensePackageMethod` - Object of Dispense Package Method.

    - #### setDispensePackageSize

          public void setDispensePackageSize(java.lang.String strDispensePackageSize)

      Set the Dispense Package Size.
      Parameters:
        `strDispensePackageSize` - This field contains the String Value of Dispense Package Size

    - #### setDispensePackageSize

          public void setDispensePackageSize(NM objdispensePackageSize)

      Set the Dispense Package Size.
      Parameters:
        `objdispensePackageSize` - Object of Dispense Package Size.

    - #### setDispensePackageSizeUnit

          public void setDispensePackageSizeUnit(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Dispense Package Size Unit.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDispensePackageSizeUnit

          public void setDispensePackageSizeUnit(CWE objdispensePackageSizeUnit)

      Set the Dispense Package Size Unit.
      Parameters:
        `objdispensePackageSizeUnit` - Object of Dispense Package Size Unit.

    - #### setDispenseUnits

          public void setDispenseUnits(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Dispense Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDispenseUnits

          public void setDispenseUnits(CWE objdispenseUnits)

      Set the Dispense Units.
      Parameters:
        `objdispenseUnits` - Object of Dispense Units.

    - #### setDispensingPharmacy

          public void setDispensingPharmacy(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Dispensing Pharmacy.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDispensingPharmacy

          public void setDispensingPharmacy(CWE objdispensingPharmacy)

      Set the Dispensing Pharmacy.
      Parameters:
        `objdispensingPharmacy` - Object of Dispensing Pharmacy.

    - #### setDispensingPharmacyAddress

          public void setDispensingPharmacyAddress(SAD objStreetAddress,
                                          java.lang.String strOtherDesignation,
                                          java.lang.String strCity,
                                          java.lang.String strStateOrProvince,
                                          java.lang.String strZipOrPostalCode,
                                          java.lang.String strCountry,
                                          java.lang.String strAddressType,
                                          java.lang.String strOtherGeographicDesignation,
                                          CWE objCountyParishCode,
                                          CWE objCensusTract,
                                          java.lang.String strAddressRepresentationCode,
                                          DTM objEffectiveDate,
                                          DTM objExpirationDate,
                                          CWE objEXpirationReason,
                                          java.lang.String strTemporaryIndicator,
                                          java.lang.String strBadAddressIndicator,
                                          java.lang.String strAddressUsage,
                                          java.lang.String strAddressee,
                                          java.lang.String strComment,
                                          java.lang.String strPreferenceOrder,
                                          CWE objProtectionCode,
                                          EI objAddressIdentifier)

      Set the Dispensing Pharmacy Address.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### setDispensingPharmacyAddress

          public void setDispensingPharmacyAddress(XAD objdispensingPharmacyAddress)

      Set the Dispensing Pharmacy Address.
      Parameters:
        `objdispensingPharmacyAddress` - Object of Dispensing Pharmacy Address.

    - #### setDTofMostRecentRefillorDoseDispensed

          public void setDTofMostRecentRefillorDoseDispensed(java.lang.String strTime)

      Set the Date/time of the most recent refill or dose dispensed.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDTofMostRecentRefillorDoseDispensed

          public void setDTofMostRecentRefillorDoseDispensed(DTM objdTofMostRecentRefillorDoseDispensed)

      Set the Date/time of the most recent refill or dose dispensed.
      Parameters:
        `objdTofMostRecentRefillorDoseDispensed` - Object of Date/time of the most recent refill or dose dispensed.

    - #### setFormularyStatus

          public void setFormularyStatus(java.lang.String strFormularyStatus)

      Set the Formulary Status. This field specify whether the pharmaceutical substance is part of the local formulary or not.
      Parameters:
        `strFormularyStatus` - This field contains the String Value of Formulary Status

    - #### setFormularyStatus

          public void setFormularyStatus(ID objformularyStatus)

      Set the Formulary Status. This field specify whether the pharmaceutical substance is part of the local formulary or not.
      Parameters:
        `objformularyStatus` - Object of Formulary Status.

    - #### setGiveAmount_Maximum

          public void setGiveAmount_Maximum(java.lang.String strGiveAmount_Maximum)

      Set the Give Amount Maximum.
      Parameters:
        `strGiveAmount_Maximum` - This field contains the String Value of Give Amount Maximum

    - #### setGiveAmount_Maximum

          public void setGiveAmount_Maximum(NM objgiveAmount_Maximum)

      Set the Give Amount Maximum.
      Parameters:
        `objgiveAmount_Maximum` - Object of Give Amount Maximum.

    - #### setGiveAmount_Minimum

          public void setGiveAmount_Minimum(java.lang.String strGiveAmount_Minimum)

      Set the Give Amount Minimum.
      Parameters:
        `strGiveAmount_Minimum` - This field contains the String Value of Give Amount Minimum

    - #### setGiveAmount_Minimum

          public void setGiveAmount_Minimum(NM objgiveAmount_Minimum)

      Set the Give Amount Minimum.
      Parameters:
        `objgiveAmount_Minimum` - Object of Give Amount Minimum.

    - #### setGiveCode

          public void setGiveCode(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveCode

          public void setGiveCode(CWE objgiveCode)

      Set the Give Code.
      Parameters:
        `objgiveCode` - Object of Give Code.

    - #### setGiveDosageForm

          public void setGiveDosageForm(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Dosage.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveDosageForm

          public void setGiveDosageForm(CWE objgiveDosageForm)

      Set the Give Dosage.
      Parameters:
        `objgiveDosageForm` - Object of Give Dosage.

    - #### setGiveDrugStrengthVolume

          public void setGiveDrugStrengthVolume(java.lang.String strGiveDrugStrengthVolume)

      Set the Give Drug Strength Volume. This field specify the drug concentration contained in measure volume.
      Parameters:
        `strGiveDrugStrengthVolume` - This field contains the String Value of Dispense Amount

    - #### setGiveDrugStrengthVolume

          public void setGiveDrugStrengthVolume(NM objgiveDrugStrengthVolume)

      Set the Give Drug Strength Volume. This field specify the drug concentration contained in measure volume.
      Parameters:
        `objgiveDrugStrengthVolume` - Object of Give Drug Strength Volume.

    - #### setGiveDrugStrengthVolumeUnits

          public void setGiveDrugStrengthVolumeUnits(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Drug Strength Volume Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveDrugStrengthVolumeUnits

          public void setGiveDrugStrengthVolumeUnits(CWE objgiveDrugStrengthVolumeUnits)

      Set the Give Drug Strength Volume Units.
      Parameters:
        `objgiveDrugStrengthVolumeUnits` - Object of Give Drug Strength Volume Units.

    - #### addGiveIndication

          public void addGiveIndication(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Add the Give Indication. This field specify the condition or problem for which the drug/treatment is prescribed.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addGiveIndication

          public void addGiveIndication(CWE objgiveIndication)

      Add the Give Indication. This field specify the condition or problem for which the drug/treatment is prescribed.
      Parameters:
        `objgiveIndication` - Object of Give Indication.

    - #### setGiveIndication

          public void setGiveIndication(ISingleCollection<CWE> objgiveIndicationList)

      Set the Give Indication. This field specify the condition or problem for which the drug/treatment is prescribed.
      Parameters:
        `objgiveIndicationList` - List of Give Indication.

    - #### setGivePerTimeUnit

          public void setGivePerTimeUnit(java.lang.String strGivePerTimeUnit)

      Set the Give Per Time Unit. This field specify the time unit to use to calculate the rate at which the pharmaceutical is to be administered.
      Parameters:
        `strGivePerTimeUnit` - This field contains the String Value of Give Per Time Unit

    - #### setGivePerTimeUnit

          public void setGivePerTimeUnit(ST objgivePerTimeUnit)

      Set the Give Per Time Unit. This field specify the time unit to use to calculate the rate at which the pharmaceutical is to be administered.
      Parameters:
        `objgivePerTimeUnit` - Object of Give Per Time Unit.

    - #### setGiveRateAmount

          public void setGiveRateAmount(java.lang.String strGiveRateAmount)

      Set the Give Rate Amount.
      Parameters:
        `strGiveRateAmount` - This field contains the String Value of Give Rate Amount

    - #### setGiveRateAmount

          public void setGiveRateAmount(ST objgiveRateAmount)

      Set the Give Rate Amount.
      Parameters:
        `objgiveRateAmount` - Object of Give Rate Amount.

    - #### setGiveRateUnits

          public void setGiveRateUnits(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Rate Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveRateUnits

          public void setGiveRateUnits(CWE objgiveRateUnits)

      Set the Give Rate Units.
      Parameters:
        `objgiveRateUnits` - Object of Give Rate Units.

    - #### setGiveStrength

          public void setGiveStrength(java.lang.String strGiveStrength)

      Set the Give Strength.
      Parameters:
        `strGiveStrength` - This field contains the String Value of Give Strength

    - #### setGiveStrength

          public void setGiveStrength(NM objgiveStrength)

      Set the Give Strength.
      Parameters:
        `objgiveStrength` - Object of Give Strength.

    - #### setGiveStrengthUnits

          public void setGiveStrengthUnits(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Strength Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveStrengthUnits

          public void setGiveStrengthUnits(CWE objgiveStrengthUnits)

      Set the Give Strength Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.

    - #### setGiveUnits

          public void setGiveUnits(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Units. This field specify the units for the give amount as encoded by the pharmacy or treatment(e.g., respiratory therapy) application.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveUnits

          public void setGiveUnits(CWE objgiveUnits)

      Set the Give Units. This field specify the units for the give amount as encoded by the pharmacy or treatment(e.g., respiratory therapy) application.
      Parameters:
        `objgiveUnits` - Object of Give Units.

    - #### setInitialDispenseAmount

          public void setInitialDispenseAmount(java.lang.String strInitialDispenseAmount)

      Set the Initial Dispense Amount. This field specify the quantity dispensed on the original fill (first fill) of a prescription when that amount is not the same as the quantity to be used in refills.
      Parameters:
        `strInitialDispenseAmount` - This field contains the String Value of Initial Dispense Amount

    - #### setInitialDispenseAmount

          public void setInitialDispenseAmount(NM objinitialDispenseAmount)

      Set the Initial Dispense Amount. This field specify the quantity dispensed on the original fill (first fill) of a prescription when that amount is not the same as the quantity to be used in refills.
      Parameters:
        `objinitialDispenseAmount` - Object of Initial Dispense Amount.

    - #### setNeedsHumanReview

          public void setNeedsHumanReview(java.lang.String strNeedsHumanReview)

      Set the Needs Human Review.
      Parameters:
        `strNeedsHumanReview` - This field contains the String Value of Needs Human Review

    - #### setNeedsHumanReview

          public void setNeedsHumanReview(ID objneedsHumanReview)

      Set the Needs Human Review.
      Parameters:
        `objneedsHumanReview` - Object of Needs Human Review.

    - #### setNumberofRefills

          public void setNumberofRefills(java.lang.String strNumberofRefills)

      Set the Number of Refills.
      Parameters:
        `strNumberofRefills` - This field contains the String Value of Number Of Refills

    - #### setNumberofRefills

          public void setNumberofRefills(NM objnumberofRefills)

      Set the Number of Refills.
      Parameters:
        `strNumberofRefills` - This field contains the String Value of Number Of Refills

    - #### setNumberofRefillsDosesDispensed

          public void setNumberofRefillsDosesDispensed(java.lang.String strNumberofRefillsDosesDispensed)

      Set the Number of Refills Doses Dispensed.
      Parameters:
        `strNumberofRefillsDosesDispensed` - This field contains the String Value of Number Of Refills Doses Dispensed

    - #### setNumberofRefillsDosesDispensed

          public void setNumberofRefillsDosesDispensed(NM objnumberofRefillsDosesDispensed)

      Set the Number of Refills Doses Dispensed.
      Parameters:
        `objnumberofRefillsDosesDispensed` - Object of Number of Refills Doses Dispensed.

    - #### setNumberofRefillsRemaining

          public void setNumberofRefillsRemaining(java.lang.String strNumberofRefillsRemaining)

      Sets the Number of refills remaining.
      Parameters:
        `strNumberofRefillsRemaining` - This field contains the String Value of Number Of Refills Remaining

    - #### setNumberofRefillsRemaining

          public void setNumberofRefillsRemaining(NM objnumberofRefillsRemaining)

      Sets the Number of refills remaining.
      Parameters:
        `objnumberofRefillsRemaining` - Object of Number of refills remaining.

    - #### addOrderingProviderDEANumber

          public void addOrderingProviderDEANumber(java.lang.String strIDNumber,
                                          FN objFamilyName,
                                          java.lang.String strGivenName,
                                          java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                          java.lang.String strSuffix,
                                          java.lang.String strPrefix,
                                          CWE objSourceTable,
                                          HD objAssigningAuthority,
                                          java.lang.String strNameTypeCode,
                                          java.lang.String strIdentifierCheckDigit,
                                          java.lang.String strCheckDigitScheme,
                                          java.lang.String strIdentifierTypeCode,
                                          HD objAssigningFacility,
                                          java.lang.String strNameRepresentationCode,
                                          CWE objNameContext,
                                          java.lang.String strNameAssemblyOrder,
                                          java.lang.String strEffectiveDate,
                                          java.lang.String strExpirationDate,
                                          java.lang.String strProfessionalSuffix,
                                          CWE objAssigningJurisdiction,
                                          CWE objAssigningAgencyOrDepratment,
                                          java.lang.String strSecurityCheck,
                                          java.lang.String strSecurityCheckScheme)

      Add the Ordering Provider DEA Number.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addOrderingProviderDEANumber

          public void addOrderingProviderDEANumber(XCN objorderingProviderDEANumber)

      Add the Ordering Provider DEA Number.
      Parameters:
        `objorderingProviderDEANumber` - Objet of Ordering Provider DEA Number.

    - #### setOrderingProviderDEANumber

          public void setOrderingProviderDEANumber(ISingleCollection<XCN> objorderingProviderDEANumberList)

      Set the Ordering Provider DEA Number.
      Parameters:
        `objorderingProviderDEANumberList` - List of Ordering Provider DEA Number.

    - #### setOriginalOrderDateTime

          public void setOriginalOrderDateTime(java.lang.String strTime)

      Set the Original Order Date Time.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setOriginalOrderDateTime

          public void setOriginalOrderDateTime(DTM objoriginalOrderDateTime)

      Set the Original Order Date Time.
      Parameters:
        `objoriginalOrderDateTime` - Object of Original Order Date Time.

    - #### addPharmaceuticalSubstanceAlternative

          public void addPharmaceuticalSubstanceAlternative(java.lang.String strIdentifier,
                                                   java.lang.String strText,
                                                   java.lang.String strNameOfCodingSystem,
                                                   java.lang.String strAlternateIdentifier,
                                                   java.lang.String strAlternateText,
                                                   java.lang.String strNameOfAlternateCodingSystem,
                                                   java.lang.String strCodingSystemVersionID,
                                                   java.lang.String strAlternateCodingSystemVersionId,
                                                   java.lang.String strOriginalText,
                                                   java.lang.String strSecondAlternateIdentifier,
                                                   java.lang.String strSecondAlternateText,
                                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                                   java.lang.String strCodingSystemOID,
                                                   java.lang.String strValueSetOID,
                                                   java.lang.String strValueSetVersionID,
                                                   java.lang.String strAlternateCodingSystemOID,
                                                   java.lang.String strAlternateValueSetOID,
                                                   java.lang.String strAlternateValueSetVersionID,
                                                   java.lang.String strSecondAlternateCodingSystemOID,
                                                   java.lang.String strSecondAlternateValueSetOID,
                                                   java.lang.String strSecondAlternateValueSetVersionID)

      Add the Pharmaceutical Substance Alternative.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addPharmaceuticalSubstanceAlternative

          public void addPharmaceuticalSubstanceAlternative(CWE objpharmaceuticalSubstanceAlternative)

      Add the Pharmaceutical Substance Alternative.
      Parameters:
        `objpharmaceuticalSubstanceAlternative` - Objet of Pharmaceutical Substance Alternative.

    - #### setPharmaceuticalSubstanceAlternative

          public void setPharmaceuticalSubstanceAlternative(ISingleCollection<CWE> objpharmaceuticalSubstanceAlternativeList)

      Set the Pharmaceutical Substance Alternative.
      Parameters:
        `objpharmaceuticalSubstanceAlternativeList` - List of Pharmaceutical Substance Alternative.

    - #### addPharmacistTreatSupplierVerifierID

          public void addPharmacistTreatSupplierVerifierID(java.lang.String strIDNumber,
                                                  FN objFamilyName,
                                                  java.lang.String strGivenName,
                                                  java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                                  java.lang.String strSuffix,
                                                  java.lang.String strPrefix,
                                                  CWE objSourceTable,
                                                  HD objAssigningAuthority,
                                                  java.lang.String strNameTypeCode,
                                                  java.lang.String strIdentifierCheckDigit,
                                                  java.lang.String strCheckDigitScheme,
                                                  java.lang.String strIdentifierTypeCode,
                                                  HD objAssigningFacility,
                                                  java.lang.String strNameRepresentationCode,
                                                  CWE objNameContext,
                                                  java.lang.String strNameAssemblyOrder,
                                                  java.lang.String strEffectiveDate,
                                                  java.lang.String strExpirationDate,
                                                  java.lang.String strProfessionalSuffix,
                                                  CWE objAssigningJurisdiction,
                                                  CWE objAssigningAgencyOrDepratment,
                                                  java.lang.String strSecurityCheck,
                                                  java.lang.String strSecurityCheckScheme)

      Add the Pharmacist Treat Supplier Verifier ID.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addPharmacistTreatSupplierVerifierID

          public void addPharmacistTreatSupplierVerifierID(XCN objpharmacistTreatSupplierVerifierID)

      Add the Pharmacist Treat Supplier Verifier ID.
      Parameters:
        `objpharmacistTreatSupplierVerifierID` - Object of Pharmacist Treat Supplier Verifier ID.

    - #### setPharmacistTreatSupplierVerifierID

          public void setPharmacistTreatSupplierVerifierID(ISingleCollection<XCN> objpharmacistTreatSupplierVerifierIDList)

      Set the Pharmacist Treat Supplier Verifier ID.
      Parameters:
        `objpharmacistTreatSupplierVerifierIDList` - List of Pharmacist Treat Supplier Verifier ID.

    - #### setPharmacyofMostRecentFill

          public void setPharmacyofMostRecentFill(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Pharmacy of Most Recent Fill.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPharmacyofMostRecentFill

          public void setPharmacyofMostRecentFill(CWE objpharmacyofMostRecentFill)

      Set the Pharmacy of Most Recent Fill.
      Parameters:
        `strIdentifier` - Specifeis Sequence of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifeis descriptive or textual name of the identifier, e.g., myocardial infarction or X-ray impression.
        `strNameOfCodingSystem` - Specifeis coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifeis an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifeis descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - pecifeis the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifeis the version ID for the coding system identified by components 1-3.
        `strAlternateCodingSystemVersionID` - Specifeis the version ID for the coding system identified by components 4-6.
        `strOriginalText` - Specifeis original text that was available to an automated process or a human before a specific code was assigned.

    - #### setPharmacyOrderType

          public void setPharmacyOrderType(java.lang.String strPharmacyOrderType)

      Set the Pharmacy Order Type. This field specify the general category of pharmacy order which may be used to determine the processing path the order will take
      Parameters:
        `strPharmacyOrderType` - This field contains the String Value of Pharmacy Order Type

    - #### setPharmacyOrderType

          public void setPharmacyOrderType(ID objpharmacyOrderType)

      Set the Pharmacy Order Type. This field specify the general category of pharmacy order which may be used to determine the processing path the order will take
      Parameters:
        `objpharmacyOrderType` - Object of Pharmacy Order Type.

    - #### addSpecialDispensingInstructions

          public void addSpecialDispensingInstructions(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionId,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameofSecondAlternateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Add the Special Dispensing Instructions. This field specify the pharmacy or treatment supplier's provider-generated special instructions to the provider dispensing/administering the order.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSpecialDispensingInstructions

          public void addSpecialDispensingInstructions(CWE objSpecialDispensingInstructions)

      Add the Special Dispensing Instructions. This field specify the pharmacy or treatment supplier's provider-generated special instructions to the provider dispensing/administering the order.
      Parameters:
        `objSpecialDispensingInstructions` - Object of Special Dispensing Instructions.

    - #### setSpecialDispensingInstructions

          public void setSpecialDispensingInstructions(ISingleCollection<CWE> objSpecialDispensingInstructions)

      Set the Special Dispensing Instructions. This field specify the pharmacy or treatment supplier's provider-generated special instructions to the provider dispensing/administering the order.
      Parameters:
        `objSpecialDispensingInstructions` - List of Special Dispensing Instructions.

    - #### setPrescriptionNumber

          public void setPrescriptionNumber(java.lang.String strPrescriptionNumber)

      Set the Prescription Number. This field specify the prescription number as assigned by the pharmacy or treatment application.
      Parameters:
        `strPrescriptionNumber` - This field contains the String Value of Prescription Number

    - #### setPrescriptionNumber

          public void setPrescriptionNumber(ST objprescriptionNumber)

      Set the Prescription Number. This field specify the prescription number as assigned by the pharmacy or treatment application.
      Parameters:
        `objprescriptionNumber` - Object of Prescription Number.

    - #### addProviderAdministrationInstructions

          public void addProviderAdministrationInstructions(java.lang.String strIdentifier,
                                                   java.lang.String strText,
                                                   java.lang.String strNameOfCodingSystem,
                                                   java.lang.String strAlternateIdentifier,
                                                   java.lang.String strAlternateText,
                                                   java.lang.String strNameOfAlternateCodingSystem,
                                                   java.lang.String strCodingSystemVersionID,
                                                   java.lang.String strAlternateCodingSystemVersionId,
                                                   java.lang.String strOriginalText,
                                                   java.lang.String strSecondAlternateIdentifier,
                                                   java.lang.String strSecondAlternateText,
                                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                                   java.lang.String strCodingSystemOID,
                                                   java.lang.String strValueSetOID,
                                                   java.lang.String strValueSetVersionID,
                                                   java.lang.String strAlternateCodingSystemOID,
                                                   java.lang.String strAlternateValueSetOID,
                                                   java.lang.String strAlternateValueSetVersionID,
                                                   java.lang.String strSecondAlternateCodingSystemOID,
                                                   java.lang.String strSecondAlternateValueSetOID,
                                                   java.lang.String strSecondAlternateValueSetVersionID)

      Add the Provider Administration Instructions. This field specify the ordering provider's instructions to the patient or the provider administering the drug or treatment
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addProviderAdministrationInstructions

          public void addProviderAdministrationInstructions(CWE objproviderAdministrationInstructions)

      Add the Provider Administration Instructions. This field specify the ordering provider's instructions to the patient or the provider administering the drug or treatment
      Parameters:
        `objproviderAdministrationInstructions` - Object of Provider Administration Instructions.

    - #### setProviderAdministrationInstructions

          public void setProviderAdministrationInstructions(ISingleCollection<CWE> objproviderAdministrationInstructionsList)

      Set the Provider Administration Instructions. This field specify the ordering provider's instructions to the patient or the provider administering the drug or treatment
      Parameters:
        `objproviderAdministrationInstructionsList` - List of Provider Administration Instructions.

    - #### setSubstitutionStatus

          public void setSubstitutionStatus(java.lang.String strSubstitutionStatus)

      Sets the Substitution Status.
      Parameters:
        `strSubstitutionStatus` - This field contains the String Value of Substitution Status

    - #### setSubstitutionStatus

          public void setSubstitutionStatus(ID objsubstitutionStatus)

      Sets the Substitution Status.
      Parameters:
        `objsubstitutionStatus` - Object of Substitution Status.

    - #### addSupplementaryCode

          public void addSupplementaryCode(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Add the Supplementary Code. This field specify the identification of any codes that might be associated with the pharmaceutical substance.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSupplementaryCode

          public void addSupplementaryCode(CWE objsupplementaryCode)

      Add the Supplementary Code. This field specify the identification of any codes that might be associated with the pharmaceutical substance.
      Parameters:
        `objsupplementaryCode` - Object of Supplementary Code.

    - #### setSupplementaryCode

          public void setSupplementaryCode(ISingleCollection<CWE> objsupplementaryCodeList)

      Set the Supplementary Code. This field specify the identification of any codes that might be associated with the pharmaceutical substance.
      Parameters:
        `objsupplementaryCodeList` - List of Supplementary Code.

    - #### setTotalDailyDose

          public void setTotalDailyDose(java.lang.String strQuantity,
                               CWE objUnits)

      Set the Total Daily Dose.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setTotalDailyDose

          public void setTotalDailyDose(CQ objtotalDailyDose)

      Set the Total Daily Dose.
      Parameters:
        `objtotalDailyDose` - Object of Total Daily Dose.

    - #### addPharmacyPhoneNumber

          public void addPharmacyPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                    java.lang.String strTeleCommunicationEquipmentType,
                                    java.lang.String strCommuinicationAddress,
                                    java.lang.String strCountryCode,
                                    java.lang.String strAreaCityCode,
                                    java.lang.String strLocalNumber,
                                    java.lang.String strExtension,
                                    java.lang.String strAnyText,
                                    java.lang.String strExtensionPrefix,
                                    java.lang.String strSpeedDialCode,
                                    java.lang.String strUnformattedTelephoneNumber,
                                    java.lang.String strEffectiveStartDate,
                                    java.lang.String strExpirationDate,
                                    CWE objExpirationReason,
                                    CWE objProtectionCode,
                                    EI objSharedTelecommunicationIdentifier,
                                    java.lang.String strPreferenceOrder)

      Set the Pharmacy Phone Number. This field contains the telecommunication contact information for the pharmacy.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addPharmacyPhoneNumber

          public void addPharmacyPhoneNumber(XTN objtempPharmacyPhoneNumber)

      Sets the Pharmacy Phone Number. This field contains the telecommunication contact information for the pharmacy.
      Parameters:
        `objtempPharmacyPhoneNumber` - object of PharmacyPhoneNumber.

    - #### setPharmacyPhoneNumber

          public void setPharmacyPhoneNumber(ISingleCollection<XTN> objPharmacyPhoneNumber)

      Set the Pharmacy Phone Number. This field contains the telecommunication contact information for the pharmacy.
      Parameters:
        `objPharmacyPhoneNumber` - List of Phone Number Home.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.